import request from '@/utils/request'

// 查询测试报告列表
export function listTestReport(query) {
  return request({
    url: '/his/testReport/list',
    method: 'get',
    params: query
  })
}

// 查询测试报告详细
export function getTestReport(reportId) {
  return request({
    url: '/his/testReport/' + reportId,
    method: 'get'
  })
}

// 新增测试报告
export function addTestReport(data) {
  return request({
    url: '/his/testReport',
    method: 'post',
    data: data
  })
}

// 修改测试报告
export function updateTestReport(data) {
  return request({
    url: '/his/testReport',
    method: 'put',
    data: data
  })
}

// 删除测试报告
export function delTestReport(reportId) {
  return request({
    url: '/his/testReport/' + reportId,
    method: 'delete'
  })
}

// 导出测试报告
export function exportTestReport(query) {
  return request({
    url: '/his/testReport/export',
    method: 'get',
    params: query
  })
}
